0

I'm encountered syntax error message as below when I command "nix-shell" to build environment setting. Could you advise what makes this error message?

--- error message ---

trace: WARNING: 8.10.5 is out of date, consider using 8.10.7. error: syntax error, unexpected end of file at /nix/store/14hkipxfa9j8ngs02f7llgpqr4l7mrdq-happy-plan-to-nix-pkgs/default.nix:1:1:

--- end of error message ---

My system setting : OS : ubuntu 20.04lts

I've completed following steps in advance to set up environment.

sudo sh -c 'apt update && apt install curl' to install curl

sudo apt-get install vim to install vim

sudo apt-get install git to install git

sh <(curl -L https://nixos.org/nix/install) --no-daemon to install nix via single user

sudo vim nix.conf to create a new nix.conf file

Paste the following lines:

substituters = https://hydra.iohk.io https://iohk.cachix.org https://cache.nixos.org/ trusted-public-keys = hydra.iohk.io:f/Ea+s+dFdN+3Y/G+FDgSq+a5NEWhJGzdjvKNGv0/EQ= iohk.cachix.org-1:DpRUyj7h7V830dp/i6Nti+NEO2/nhblbov/8MW7Rqoo= cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY= experimental-features = nix-command

git clone https://github.com/input-output-hk/plutus-apps to clone the correct plutus-apps repo

git checkout 7f53f18dfc788bf6aa929f47d840efa1247e11fd

nix-build -A plutus-playground.server

1
  • Welcome to Cardano SE! As a new user be sure to take the Tour.
    – gRebel
    Jan 14 at 4:39

1 Answer 1

0

looks like we're following the same instructions to install the IOHK binary caches with a couple of small differences, and honestly, I have no idea whether this makes any difference. I believe that may have used the multi-user installation for nix. After cloning the plutus-apps repository, I ran cabal update, and then nix-shell. Once that was finished, I just followed the README and ran cabal build plutus-pab. I then followed the instructions on page 2 of this document -> https://docs.google.com/document/d/13112LHG9vVvNUs40oZSqZ-DF6_yFiT_SJZ2NaEmjMM4/edit# although I did not do step 3 (nix-build -A plutus-playground.server), and it seems to work fine. I hope you manage to find the issue

1
  • Actually the error message "out of date" were not root cause of syntax error. I checked out both plutus-pioneer-program and plutus-apps and then ran again above command and pass through this error. Thanks your comments it was helpful. You made me think differently.
    – Tae Euy
    Jan 14 at 9:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.